// license: AGPLv3 or later
// copyright 2023 zamfofex

#ifndef MIMIMI_CHAPTER_I_CAMERAS_H
#define MIMIMI_CHAPTER_I_CAMERAS_H

struct mimimi_position;
struct mimimi_allocator;
struct mimimi_behavior;

struct mimimi_chapter_I_camera_threshold
{
	int x;
	int top;
	int bottom;
};

struct mimimi_chapter_I_camera_data
{
	struct mimimi_position *origin;
	struct mimimi_position *player_position;
	struct mimimi_position *input;
	struct mimimi_position *output;
	int count;
	struct mimimi_chapter_I_camera_threshold *thresholds;
};

void mimimi_chapter_I_camera(struct mimimi_behavior *compound, struct mimimi_chapter_I_camera_data *data, struct mimimi_allocator *allocator);

#endif
