// license: AGPLv3 or later
// copyright 2023 zamfofex

#ifndef MIMIMI_CHAPTER_I_STAGES_H
#define MIMIMI_CHAPTER_I_STAGES_H

struct mimimi_image;
struct mimimi_ground;
struct mimimi_allocator;

struct mimimi_chapter_I_image
{
	int x, y, z;
	struct mimimi_image *image;
};

struct mimimi_chapter_I_stage
{
	struct mimimi_ground *ground;
	int count;
	struct mimimi_chapter_I_image *images;
};

void mimimi_chapter_I_add_image(struct mimimi_chapter_I_stage *stage, struct mimimi_image *image, int x, int y, int z, struct mimimi_allocator *allocator);

void mimimi_chapter_I_hideout(struct mimimi_chapter_I_stage *stage, int x, int y, struct mimimi_allocator *allocator);

#endif
