// license: AGPLv3 or later
// copyright 2023 zamfofex

#ifndef MIMIMI_CHAPTER_I_DIALOGUES_H
#define MIMIMI_CHAPTER_I_DIALOGUES_H

struct mimimi_model;
struct mimimi_behavior;
struct mimimi_engine;
struct mimimi_chapter;
struct mimimi_allocator;

struct mimimi_chapter_I_paragraph
{
	struct mimimi_model *model;
	unsigned char *name;
	unsigned char *text;
};

struct mimimi_chapter_I_dialogue
{
	int count;
	struct mimimi_chapter_I_paragraph *paragraphs;
};

void mimimi_chapter_I_show_strip_dialogue(struct mimimi_behavior *behavior, struct mimimi_engine *engine, struct mimimi_chapter *chapter, struct mimimi_chapter_I_dialogue *dialogue, struct mimimi_allocator *allocator);

void mimimi_chapter_I_show_toast_dialogue_top(struct mimimi_behavior *behavior, struct mimimi_engine *engine, struct mimimi_chapter *chapter, struct mimimi_chapter_I_dialogue *dialogue, struct mimimi_allocator *allocator);
void mimimi_chapter_I_show_toast_dialogue_bottom(struct mimimi_behavior *behavior, struct mimimi_engine *engine, struct mimimi_chapter *chapter, struct mimimi_chapter_I_dialogue *dialogue, struct mimimi_allocator *allocator);

#endif
